package com.qy.worksheetsystem.model.mapper;

import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * description: ProjectMapper <br>
 * date: 2022/3/12 10:24 <br>
 * author: lhbj <br>
 * version: 1.0 <br>
 */
@Repository
public interface PersonMapper {

     Map<String,String> getPersonByUserId(@Param("userid")String userid);

     Map<String,String> getPersonByOpenId(@Param("openid")String openid);

     Map<String,String> getPersonByJobNo(@Param("jobNo")String jobNo);
     Map<String,String> getPersonByPersonId(@Param("id")String id);

}
